Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GRectangle

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GNode
              SEdit.Graphics.GRectangle

Direct Known Subclasses:
  GLogicalDisplay, GPetriTransition, GPort, GRoundedRectangle

    public class GRectangle

extends GNode

CLASSE GRectangle

Field Summary
`protected static int` | `rDefaultHeight`
`protected static int` | `rDefaultWidth`

Fields inherited from class SEdit.Graphics.GNode
`HANDLE_SIZE, resizable, selectedHandle`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GRectangle()`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`java.awt.Point` | `intersection(java.awt.Point p)`
`boolean` | `isContainedIn(java.awt.Rectangle r)`
`void` | `paint(java.awt.Graphics g)`

Methods inherited from class SEdit.Graphics.GNode
`displayHandles, doDrag, doReSelect, getResizable, getSelectedHandle, select, setResizable`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, displayName, drag, getBounds, getCenter, getDimension, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isContainedIn, isSelectable, isSelected, reInstall, setCenter, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, snapToGrid, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rDefaultWidth

    protected static int rDefaultWidth

### rDefaultHeight

    protected static int rDefaultHeight

Constructor Detail

### GRectangle

    public GRectangle()

Method Detail

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GObject`

### isContainedIn

    public boolean isContainedIn(java.awt.Rectangle r)

  Overrides:
    `isContainedIn` in class `GNode`

### contains

    public boolean contains(java.awt.Point p)

  Overrides:
    `contains` in class `GNode`

### intersection

    public java.awt.Point intersection(java.awt.Point p)

  Overrides:
    `intersection` in class `GNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.